lp:~clint-fewbar/ubuntu/precise/erlang/merge-15b

Created by Clint Byrum on 2012-02-14 and last modified on 2012-02-14
Get this branch:
bzr branch lp:~clint-fewbar/ubuntu/precise/erlang/merge-15b
Only Clint Byrum can upload to this branch. If you are Clint Byrum please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Clint Byrum
Status:
Development

Recent revisions

33. By Clint Byrum on 2012-02-14

* Merge from Debian testing. Remaining changes:
  - debian/patches/fix-pointer-conversion.patch: Remove implicit
    integer to pointer conversion
  - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
    supposed to.
  - Drop erlang-wx binary.
  - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
    do not really need wx. Also drop it from -debugger; the GUI needs wx,
    but it apparently has CLI bits as well, and is also needed by -megaco,
    so let's keep the package for now.
* Upload to unstable.
* Remove a bunch of additional files on clean.
* Verified that R15B builds fine on GNU/Hurd (closes: #636510).
* Build SMP-aware Erlang emulator for GNU/Hurd.
* Included all HiPE application sources into erlang-src package
  (closes: #653417).
* New upstream release.
* Upload to experimental because this release breaks external drivers
  API along with ABI, so several applications are to be fixed.
* Removed SSL patch because the old SSL implementation is removed from
  the upstream distribution.
* Removed never used patch which added native code to erlang beam files.
* Removed the erlang-docbuilder binary package because the docbuilder
  application was dropped by upstream.
* Documented dropping ${erlang-docbuilder:Depends} substvar in
  erlang-depends(1) manpage.
* Made erlang-base and erlang-base-hipe provide virtual package
  erlang-abi-15.b (the number means the first erlang version, which
  provides current ABI).

32. By Clint Byrum on 2011-12-15

* Merge from Debian testing. Remaining changes:
  - debian/patches/fix-pointer-conversion.patch: Remove implicit
    integer to pointer conversion (patch refreshed)
  - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
    supposed to.
  - Drop erlang-wx binary.
  - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
    do not really need wx. Also drop it from -debugger; the GUI needs wx,
    but it apparently has CLI bits as well, and is also needed by -megaco,
    so let's keep the package for now.
* Dropped changes:
  debian/patches/tcp.patch: applied upstream

31. By Clint Byrum on 2011-05-06

debian/patches/fix-pointer-conversion.patch: Remove implicit
integer to pointer conversion (LP: #778474)

30. By Clint Byrum on 2011-05-05

* Merge from debian unstable. Remaining changes:
  - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
    supposed to.
  - Drop erlang-wx binary.
  - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
    do not really need wx. Also drop it from -debugger; the GUI needs wx,
    but it apparently has CLI bits as well, and is also needed by -megaco,
    so let's keep the package for now.
  - debian/patches/series: Do what I meant, and enable build-options.patch
    instead.
* Additional changes:
  - Drop erlang-wx from -et
* Dropped Changes:
  - patches/pcre-crash.patch: CVE-2008-2371: outer level option with
    alternatives caused crash. (Applied Upstream)
  - fix for ssl certificate verification in newSSL:
    ssl_cacertfile_fix.patch (Applied Upstream)
  - debian/patches/series: Enable native.patch again, to get stripped beam
    files and reduce the package size again. (build-options is what
    actually accomplished this)
  - Remove build-options.patch on advice from upstream and because it caused
    odd build failures.

29. By Samuele Pedroni on 2010-09-24

fix for ssl certificate verification in newSSL: ssl_cacertfile_fix.patch
(LP: #643787)

28. By Ralf Doering on 2010-03-11

CVE-2008-2371: outer level option with alternatives caused crash.
(LP: #535090).

27. By Elliot Murphy on 2009-12-22

* Merge with Debian testing; remaining Ubuntu changes:
  - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
    supposed to. (LP #438365)
  - Drop erlang-wx binary.
  - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
    do not really need wx. Also drop it from -debugger; the GUI needs wx,
    but it apparently has CLI bits as well, and is also needed by -megaco,
    so let's keep the package for now.
* Fixed dialyzer(1) manpage which was placed into section 3 and conflicted
  with dialyzer(3erl).
* New upstream release (it adds a new binary package erlang-erl-docgen).
* Refreshed patches, removed most of emacs.patch which is applied upstream.
* Linked run_test binary from erlang-common-test package to /usr/bin.
* Fixed VCS headers in debian/control.
* Moved from prebuilt manpages to generated from sources. This adds
  erlang-manpages binary package and xsltproc build dependency.

26. By Martin Pitt on 2009-12-07

* build-options.patch: Fix to apply to current version.
* debian/patches/series: Do what I meant, and enable build-options.patch
  instead.

25. By Martin Pitt on 2009-12-07

debian/patches/series: Enable native.patch again, to get stripped beam
files and reduce the package size again. (LP: #493278)

24. By Martin Pitt on 2009-11-06

* Merge with Debian testing; remaining Ubuntu changes:
  - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
    supposed to. (LP #438365)
  - Drop erlang-wx binary.
  - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
    do not really need wx. Also drop it from -debugger; the GUI needs wx,
    but it apparently has CLI bits as well, and is also needed by -megaco,
    so let's keep the package for now.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/erlang
This branch contains Public information 
Everyone can see this information.

Subscribers